<?php

define('PAGES_ALIAS_PREFIX', '_EASY-CMS_PAGE_');
define('LOAD_ALL_LANGUAGES', 0);

define('ERROR_CODE'  , -1);
define('SUCCESS_CODE', 1);

define('SORTING_BY_LIST' , 1);
define('SORTING_BY_FIELD', 2);

define('SORT_ASCENDING'  , 1);
define('SORT_DESCENDING' , 2);

define('EDIT_MODE', 'edit');
define('VIEW_MODE', 'view');

define('MOVE_CONTENT_UP'     , 'move_content_up');
define('MOVE_CONTENT_DOWN'   , 'move_content_down');
define('MOVE_CONTENT_TOP'    , 'move_content_top');
define('MOVE_CONTENT_BOTTOM' , 'move_content_bottom');

define('CONTAINER_TYPE_NORMAL', 0);
define('CONTAINER_TYPE_PHOTO_GALLERY', 1);

define('MOVE_CONTAINER_UP'   , 'move_container_up');
define('MOVE_CONTAINER_DOWN' , 'move_container_down');

define('MOVE_PAGE_UP'    , 'move_page_up');
define('MOVE_PAGE_DOWN'  , 'move_page_down');
define('MOVE_PAGE_TOP'   , 'move_page_top');
define('MOVE_PAGE_BOTTOM', 'move_page_bottom');

define('LOGIN'   , 'login');
define('LOGOUT'  , 'logout');

define('ASK_RESTORE_VERSION', 'ask_restore_version');

define('ASK_MODIF_CONTENT' , 'ask_modif_content');
define('MODIF_CONTENT'     , 'modif_content');
define('ASK_DELETE_CONTENT', 'ask_delete_content');
define('DELETE_CONTENT'    , 'delete_content');

define('ASK_MODIF_CONTAINERS_LIST' , 'ask_modif_containers_list');
define('MODIF_CONTAINERS_LIST'     , 'modif_containers_list');
define('ASK_DELETE_CONTAINERS_LIST', 'ask_delete_containers_list');
define('DELETE_CONTAINERS_LIST'    , 'delete_containers_list');

define('ASK_MODIF_CONTAINER' , 'ask_modif_container');
define('MODIF_CONTAINER'     , 'modif_container');
define('ASK_DELETE_CONTAINER', 'ask_delete_container');
define('DELETE_CONTAINER'    , 'delete_container');

define('ASK_MODIF_LIST', 'ask_modif_list');
define('MODIF_LIST'    , 'modif_list');

define('ASK_MODIF_MENU'  , 'ask_modif_menu');
define('MODIF_MENU'      , 'modif_menu');
define('ASK_DELETE_MENU' , 'ask_delete_menu');
define('DELETE_MENU'     , 'delete_menu');

define('ASK_MODIF_PAGE'  , 'ask_modif_page');
define('MODIF_PAGE'      , 'modif_page');
define('ASK_DELETE_PAGE' , 'ask_delete_page');
define('DELETE_PAGE'     , 'delete_page');

define('ASK_MODIF_USER'  , 'ask_modif_user');
define('MODIF_USER'      , 'modif_user');
define('ASK_DELETE_USER' , 'ask_delete_user');
define('DELETE_USER'     , 'delete_user');

define('ASK_MODIF_GROUP'  , 'ask_modif_group');
define('MODIF_GROUP'      , 'modif_group');
define('ASK_DELETE_GROUP' , 'ask_delete_group');
define('DELETE_GROUP'     , 'delete_group');

define('ASK_ADD_GROUP_USER' 		, 'ask_add_group_user');
define('ADD_GROUP_USER'         , 'add_group_user');
define('ASK_DELETE_GROUP_USER'  , 'ask_delete_group_user');
define('DELETE_GROUP_USER'      , 'delete_group_user');

define('ASK_SEND_NEWSLETTER' , 'ask_send_newsletter');
define('SEND_NEWSLETTER'     , 'send_newsletter');

define('ASK_MODIF_RIGHTS', 'ask_modif_rights');
define('MODIF_RIGHTS'    , 'modif_rights');

define('ASK_CREATE_TYPE'  , 'ask_create_type');
define('CREATE_TYPE'      , 'create_type');
define('ASK_DELETE_TYPE'  , 'ask_delete_type');
define('DELETE_TYPE'      , 'delete_type');
define('ASK_RENAME_TYPE'  , 'ask_rename_type');
define('RENAME_TYPE'      , 'rename_type');

define('ASK_CREATE_FIELD' , 'ask_create_field');
define('CREATE_FIELD'     , 'create_field');
define('ASK_DELETE_FIELD' , 'ask_delete_field');
define('DELETE_FIELD'     , 'delete_field');
define('ASK_MODIF_FIELD' , 'ask_modif_field');
define('MODIF_FIELD'     , 'modif_field');

define('ASK_SHOW_DELETED_CONTENTS'          , 'ask_show_deleted_contents');
define('ASK_SHOW_DELETED_CONTAINERS'        , 'ask_show_deleted_containers');
define('ASK_SHOW_DELETED_CONTAINERS_LISTS'  , 'ask_show_deleted_containers_lists');
define('ASK_SHOW_DELETED_PAGES'             , 'ask_show_deleted_pagess');


define('ASK_RESTORE_CONTENT'          , 'ask_restore_content');
define('ASK_RESTORE_CONTAINER'        , 'ask_restore_container');
define('ASK_RESTORE_CONTAINERS_LIST'  , 'ask_restore_containers_list');
define('ASK_RESTORE_PAGE'             , 'ask_restore_page');

define('RESTORE_CONTENT'          , 'restore_content');
define('RESTORE_CONTAINER'        , 'restore_container');
define('RESTORE_CONTAINERS_LIST'  , 'restore_containers_list');
define('RESTORE_PAGE'             , 'restore_page');

define('ASK_LOGON' , 'ask_logon');
define('LOGON'     , 'logon');

define('ASK_CHOOSE_CONTAINER', 'ask_choose_container');
define('CHOOSE_CONTAINER'    , 'choose_container');

define('ASK_CHOOSE_PAGE' , 'ask_choose_page');
define('CHOOSE_PAGE'     , 'choose_page');

define('ASK_CHOOSE_FILE' , 'ask_choose_file');
define('CHOOSE_FILE'     , 'choose_file');

define('ASK_RENAME_FILE' , 'ask_rename_file');
define('RENAME_FILE'     , 'rename_file');

define('ASK_DELETE_FILE' , 'ask_delete_file');
define('DELETE_FILE'     , 'delete_file');

define('ASK_MOVE_FILE' , 'ask_move_file');
define('MOVE_FILE'     , 'move_file');

define('ASK_DELETE_DIR', 'ask_delete_dir');
define('DELETE_DIR'    , 'delete_dir');

define('ASK_MOVE_PAGE' , 'ask_move_page');
define('MOVE_PAGE'     , 'move_page');

define('ASK_MOVE_DIR' , 'ask_move_dir');
define('MOVE_DIR'     , 'move_dir');

define('ASK_CREATE_NODE' , 'ask_create_node');
define('CREATE_NODE'     , 'create_node');

define('DIR_NODE', 'dir');
define('FILE_NODE', 'file');

define('REPOSITORY_FOLDER' , 'Repositories');
define('CACHE_FOLDER'      , 'Cache');
define('IMAGES_FOLDER'     , 'Images');
define('DOCUMENTS_FOLDER'  , 'Documents');
define('TEMPLATES_FOLDER'  , 'Templates');
define('SCRIPTS_FOLDER'    , 'Scripts');
define('STYLES_FOLDER'     , 'Styles');
define('LOGS_FOLDER'       , 'Logs');

define('VERSIONS_CONTENTS', 'Repositories/Versions/Contents');


define('NORMAL_HEADER', 'includes/html/normal_header.txt');

define('HTML_TAGS_PREFIX', 'easy-cms');
define('SINGLE_TAG'      , 'singleTag');
define('OPEN_TAG'        , 'openTag');
define('CLOSE_TAG'       , 'closeTag');

define('RENDER', 'render');

define('EDIT_CONTENT'        , 'edit_content');
define('EDIT_CONTAINER'      , 'edit_container');
define('EDIT_CONTAINERS_LIST', 'edit_containers_list');
define('EDIT_MENU'           , 'edit_menu');
define('EDIT_PAGE'           , 'edit_page');
define('EDIT_USER'           , 'edit_user');
define('EDIT_GROUP'          , 'edit_group');
define('EDIT_VERSION'        , 'edit_version');


/* object types */
define('OBJECT_TYPE_CONTENT'        , 'content');
define('OBJECT_TYPE_CONTAINER'      , 'container');
define('OBJECT_TYPE_CONTAINERS_LIST', 'containersList');
define('OBJECT_TYPE_MENU'           , 'menu');
define('OBJECT_TYPE_PAGE'           , 'page');

/* default groups and users */
define('USER_ID_ROOT'         , 1);
define('USER_ID_ADMIN'        , 2);
define('USER_ID_ANONYMOUS'    , 3);
define('GROUP_ID_ADMINS'      , 1);
define('GROUP_ID_EVERYONE'    , 2);


define('ASK_VERSION_CONTENT', 'ask_version');
define('VERSION_CONTENT'    , 'version');

define('EDIT_ACL'     , 'edit_acl');
define('ASK_ADD_GROUP', 'ask_add_group');
define('ADD_GROUP'    , 'add_group');
define('ASK_ADD_USER' , 'ask_add_user');
define('ADD_USER'     , 'add_user');

define('ACLENTRY_VIEW'   , 'view');
define('ACLENTRY_EDIT'   , 'edit');
define('ACLENTRY_PUBLISH', 'publish');
define('ACLENTRY_REMOVE' , 'remove');
define('ACLENTRY_ADMIN'  , 'admin');

define('RIGHT_NONE', 0);
define('RIGHT_ALLOW', 1);
define('RIGHT_DENY', -1);

?>